Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# HomogeneousPixelConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename P>
struct boost::gil::HomogeneousPixelConcept< P >

Homogeneous pixel concept.

    concept HomogeneousPixelConcept<PixelConcept P> : HomogeneousColorBaseConcept<P>, HomogeneousPixelBasedConcept<P> {
        P::template element_const_reference_type<P>::type operator[](P p, std::size_t i) const { return dynamic_at_c(p,i); }
    };

## Public Member Functions

void | constraints ()

## Public Attributes

P | p

The documentation for this struct was generated from the following file:

- gil_concept.hpp